;------------------------------------------------------------------------------
; This file is part of the ZX Spectrum game 
;       "Husband Chores" by Sebastian Mihai, 2016, http://sebastianmihai.com
;------------------------------------------------------------------------------

;------------------------------------------------------------------------------
;
; Shows the "game lost" screen
;
;------------------------------------------------------------------------------

	bitmapFence
			db %00011000
			db %00100100
			db %01000010
			db %10000001
			db %10000001
			db %10000001
			db %10000001
			db %10000001
			db %10000001
			db %10000001
			db %10000001
			db %10000001
			db %10000001
			db %10000001
			db %10000001
			db %10000001
	bitmapFenceMask
			db %00011000
			db %00111100
			db %01111110
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111

	textLoss1 db 'NOT TAKING CARE OF YOUR', 0
	textLoss2 db 'HOUSE HAS COST YOU A', 0
	textLoss3 db 'NIGHT IN THE DOG HOUSE.', 0
	
	textPressToContinue2 db '     PRESS M TO CONTINUE', 0
	

; "game lost" entry point
; 
game_lost_begin:
	ld a, COLOUR_BLACK
	call ROM_ROUTINE_SET_BORDER_COLOUR
	
	ld a, FLASH_OFF | BRIGHT_ON | PAPER_BLACK | INK_WHITE
	call clear_vram_to_attribute
	
	ld hl, textLoss1
	ld b, 3
	ld c, 4
	call text_print_at
	ld hl, textLoss2
	ld b, 4
	ld c, 4
	call text_print_at
	ld hl, textLoss3
	ld b, 5
	ld c, 4
	call text_print_at
	ld b, 3
	ld c, 4
	ld d, FLASH_OFF | BRIGHT_ON | PAPER_BLACK | INK_MAGENTA
	ld e, 88
	call bitmaps_colours_set_many

	
	ld hl, textPressToContinue2
	ld b, 21
	ld c, 1
	call text_print_at
	ld b, 21
	ld c, 0
	ld d, FLASH_OFF | BRIGHT_OFF | PAPER_RED | INK_YELLOW
	ld e, 32
	call bitmaps_colours_set_many
	
	ld ixl, 98
	call draw_fence
	ld ixl, 105
	call draw_fence
	ld ixl, 112
	call draw_fence
	ld ixl, 119
	call draw_fence
	ld ixl, 126
	call draw_fence
	ld ixl, 133
	call draw_fence
	ld ixl, 140
	call draw_fence
	ld ixl, 147
	call draw_fence

	ld hl, manX
	ld (hl), 126
	ld hl, manY
	ld (hl), 94
	ld hl, manData0WalkingRightFrame2
	ld de, manData0WalkingRightFrame2Mask
	call display_man_frame
	
	call wait_keypress			; display the multi-colour border effect
								; and wait for the action key to be pressed
	ret

; Draws a piece of fence
;
; Input:	
;      IXL - X coordinate
draw_fence:
	ld c, 90
	ld hl, bitmapFence
	ld de, bitmapFenceMask
	ld a, 16
	call draw_bitmap_OR_blitted_masked_vram
	ret

