;------------------------------------------------------------------------------
; This file is part of the ZX Spectrum game 
;       "Husband Chores" by Sebastian Mihai, 2016, http://sebastianmihai.com
;------------------------------------------------------------------------------

;------------------------------------------------------------------------------
;
; Shows the "game won" screen
;
;------------------------------------------------------------------------------

	bitmapBottle
			db %00011000
			db %00111100
			db %00100100
			db %00100100
			db %01000010
			db %10000001
			db %10000001
			db %10000001
			db %11010101
			db %10000001
			db %10101011
			db %10000001
			db %11010101
			db %10000001
			db %10101011
			db %01111110
	bitmapBottleMask
			db %00011000
			db %00111100
			db %00111100
			db %00111100
			db %01111110
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %11111111
			db %01111110

	textVictory1 db 'YOUR SPOTLESS HOUSE HAS', 0
	textVictory2 db 'EARNED YOU A NIGHT OUT', 0
	textVictory3 db 'WITH YOUR FRIENDS.', 0
	
	textPressToContinue db '     PRESS M TO CONTINUE', 0
	

; "game won" entry point
; 
game_won_begin:
	ld a, COLOUR_BLACK
	call ROM_ROUTINE_SET_BORDER_COLOUR

	ld a, FLASH_OFF | BRIGHT_ON | PAPER_BLACK | INK_WHITE
	call clear_vram_to_attribute
	
	ld hl, textVictory1
	ld b, 3
	ld c, 4
	call text_print_at
	ld hl, textVictory2
	ld b, 4
	ld c, 4
	call text_print_at
	ld hl, textVictory3
	ld b, 5
	ld c, 4
	call text_print_at
	ld b, 3
	ld c, 4
	ld d, FLASH_OFF | BRIGHT_ON | PAPER_BLACK | INK_YELLOW
	ld e, 84
	call bitmaps_colours_set_many
	
	ld hl, manX
	ld (hl), 100
	ld hl, manY
	ld (hl), 100
	ld hl, manData0WorkingRightFrame0
	ld de, manData0WorkingRightFrame0Mask
	call display_man_frame
	
	ld hl, textPressToContinue
	ld b, 21
	ld c, 1
	call text_print_at
	ld b, 21
	ld c, 0
	ld d, FLASH_OFF | BRIGHT_OFF | PAPER_RED | INK_YELLOW
	ld e, 32
	call bitmaps_colours_set_many
	
	ld ixl, 136
	ld c, 96
	call draw_bottle
	ld ixl, 146
	ld c, 92
	call draw_bottle
	ld ixl, 132
	ld c, 100
	call draw_bottle
	ld ixl, 143
	ld c, 102
	call draw_bottle
	ld ixl, 150
	ld c, 99
	call draw_bottle

	call wait_keypress			; display the multi-colour border effect
								; and wait for the action key to be pressed
	ret

; Draws a bottle
;
; Input:	
;      IXL - X coordinate
;        C - Y coordinate
draw_bottle:
	ld hl, bitmapBottle
	ld de, bitmapBottleMask
	ld a, 16
	call draw_bitmap_OR_blitted_masked_vram
	ret

