;------------------------------------------------------------------------------
; This file is part of the ZX Spectrum game 
;       "Husband Chores" by Sebastian Mihai, 2016, http://sebastianmihai.com
;------------------------------------------------------------------------------

;------------------------------------------------------------------------------
;
; Functionality for displaying the game's main menu and waiting
; to start the game.
;
;------------------------------------------------------------------------------

	textMenuTitle db 'HUSBAND CHORES', 0
	textAuthor db 'WRITTEN BY SEBASTIAN MIHAI, 2016', 0
	textGoalOfTheGame db '    THE GOAL OF THE GAME IS     '
					  db '    TO KEEP YOUR HOUSE CLEAN    ', 0
	textTakeOutTrash db 'TAKE TRASH OUT OF   AND TO ', 0
	textUnclogToilets db 'UNCLOG   BY USING ', 0
	textRemoveSnow db 'REMOVE    WITH   IMMEDIATELY', 0
	textControls db 'Z-LEFT  X-RIGHT   M-USE/PICKUP', 0
	textPressToStart db '       PRESS M TO START', 0

	bitmapDumpsterLeft
				db %00000000
				db %00000000
				db %00000000
				db %11111111
				db %11111111
				db %11111101
				db %11111110
				db %01111100
				
				db %01111010
				db %01110101
				db %01110010
				db %00110101
				db %00111000
				db %00111111
				db %00111111
				db %00011111
				
	bitmapDumpsterRight
				db %00000000
				db %00000000
				db %00000000
				db %11111111
				db %11111111
				db %00111111
				db %01111111
				db %00111110
				
				db %10011110
				db %01001110
				db %10101110
				db %01001100
				db %00011100
				db %11111100
				db %11111100
				db %11111000
			
	bitmapTrashCan
				db %00011000
				db %11111111
				db %01000010
				db %01000010
				db %01010110
				db %01101010
				db %01010110
				db %00111100
				
	bitmapToilet
				db %11001000
				db %11010000
				db %11100000
				db %11111111
				db %01000010
				db %01000100
				db %01000100
				db %00111100
	
	menuFrameCounter db 0
	
; Menu entry point
; 
menu_begin:	
	ld hl, menuFrameCounter
	ld (hl), 0
	
	ld a, COLOUR_BLACK
	call ROM_ROUTINE_SET_BORDER_COLOUR

	ld a, FLASH_OFF | BRIGHT_ON | PAPER_BLACK | INK_WHITE
	call clear_vram_to_attribute
	
	ld hl, textMenuTitle
	ld b, 2
	ld c, 9
	call text_print_at
	ld b, 2
	ld c, 9
	ld d, FLASH_OFF | BRIGHT_ON | PAPER_BLACK | INK_WHITE
	ld e, 14
	call bitmaps_colours_set_many
	
	ld hl, textAuthor
	ld b, 5
	ld c, 0
	call text_print_at
	ld b, 5
	ld c, 0
	ld d, FLASH_OFF | BRIGHT_ON | PAPER_BLACK | INK_BLUE
	ld e, 33
	call bitmaps_colours_set_many
	
	ld hl, textGoalOfTheGame
	ld b, 8
	ld c, 0
	call text_print_at
	ld b, 8
	ld c, 0
	ld d, FLASH_OFF | BRIGHT_ON | PAPER_BLACK | INK_RED
	ld e, 64
	call bitmaps_colours_set_many
	
	
	
	
	ld hl, textTakeOutTrash
	ld b, 12
	ld c, 2
	call text_print_at
	ld b, 12
	ld c, 2
	ld d, FLASH_OFF | BRIGHT_OFF | PAPER_BLACK | INK_GREEN
	ld e, 32
	call bitmaps_colours_set_many
	ld hl, bitmapDumpsterLeft
	ld de, bitmapFilled8x8Square
	ld ixl, 232
	ld c, 88
	ld a, 16
	call draw_bitmap_OR_blitted_masked_vram
	ld hl, bitmapDumpsterRight
	ld de, bitmapFilled8x8Square
	ld ixl, 240
	ld c, 88
	ld a, 16
	call draw_bitmap_OR_blitted_masked_vram
	ld b, 12
	ld c, 29
	ld d, FLASH_OFF | BRIGHT_ON | PAPER_BLACK | INK_GREEN
	ld e, 2
	call bitmaps_colours_set_many
	ld b, 11
	ld c, 29
	ld d, FLASH_OFF | BRIGHT_ON | PAPER_BLACK | INK_GREEN
	ld e, 2
	call bitmaps_colours_set_many
	ld hl, bitmapTrashCan
	ld de, bitmapFilled8x8Square
	ld ixl, 160
	ld c, 96
	ld a, 8
	call draw_bitmap_OR_blitted_masked_vram
	ld b, 12
	ld c, 20
	ld d, FLASH_OFF | BRIGHT_ON | PAPER_BLACK | INK_WHITE
	call bitmaps_colours_set
	
	
	ld hl, textUnclogToilets
	ld b, 15
	ld c, 2
	call text_print_at
	ld b, 15
	ld c, 2
	ld d, FLASH_OFF | BRIGHT_OFF | PAPER_BLACK | INK_GREEN
	ld e, 18
	call bitmaps_colours_set_many
	ld hl, bitmapPlunger
	ld de, bitmapFilled8x8Square
	ld ixl, 160
	ld c, 120
	ld a, 8
	call draw_bitmap_OR_blitted_masked_vram
	ld hl, bitmapToilet
	ld de, bitmapFilled8x8Square
	ld ixl, 72
	ld c, 120
	ld a, 8
	call draw_bitmap_OR_blitted_masked_vram
	ld b, 15
	ld c, 9
	ld d, FLASH_OFF | BRIGHT_ON | PAPER_BLACK | INK_WHITE
	call bitmaps_colours_set
	

	
	ld hl, textRemoveSnow
	ld b, 18
	ld c, 2
	call text_print_at
	ld b, 18
	ld c, 2
	ld d, FLASH_OFF | BRIGHT_OFF | PAPER_BLACK | INK_GREEN
	ld e, 29
	call bitmaps_colours_set_many
	ld hl, bitmapShovel
	ld de, bitmapFilled8x8Square
	ld ixl, 136
	ld c, 144
	ld a, 8
	call draw_bitmap_OR_blitted_masked_vram
	ld hl, bitmapSnowLeft
	ld de, bitmapFilled8x8Square
	ld ixl, 72
	ld c, 144
	ld a, 8
	call draw_bitmap_OR_blitted_masked_vram
	ld hl, bitmapSnowRight
	ld de, bitmapFilled8x8Square
	ld ixl, 80
	ld c, 144
	ld a, 8
	call draw_bitmap_OR_blitted_masked_vram
	ld b, 18
	ld c, 9
	ld d, FLASH_OFF | BRIGHT_ON | PAPER_BLACK | INK_WHITE
	ld e, 2
	call bitmaps_colours_set_many
	ld b, 18
	ld c, 17
	ld d, FLASH_OFF | BRIGHT_ON | PAPER_BLACK | INK_WHITE
	call bitmaps_colours_set
	
	
	
	ld hl, textControls
	ld b, 20
	ld c, 1
	call text_print_at
	ld b, 20
	ld c, 0
	ld d, FLASH_OFF | BRIGHT_OFF | PAPER_BLUE | INK_YELLOW
	ld e, 32
	call bitmaps_colours_set_many
	
	
	ld hl, textPressToStart
	ld b, 21
	ld c, 1
	call text_print_at
	ld b, 21
	ld c, 0
	ld d, FLASH_OFF | BRIGHT_OFF | PAPER_RED | INK_YELLOW
	ld e, 32
	call bitmaps_colours_set_many
	
	
	call wait_keypress
	ret

