;------------------------------------------------------------------------------
; This file is part of the ZX Spectrum game 
;       "Husband Chores" by Sebastian Mihai, 2016, http://sebastianmihai.com
;------------------------------------------------------------------------------

;------------------------------------------------------------------------------
;
; This file contains routines for music initialization, along with
; music definition, sound by sound.
; The playback functionality can be found in the libzx library.
;
;------------------------------------------------------------------------------

	
initialize_game_music:		
	ld a, SOUND_MODE_MUTED_MUSIC
	call sound_manager_set_mode		; set sound manager mode
	
	ld bc, musicStart
	ld de, (musicEntriesCount)
	call sound_manager_music_load	; load music
	ret
	

	DURATION equ 8
	
	macro SILENCE
		dw DURATION, 0, 0
	endm
	macro SILENCE_SHORT
		dw DURATION/4, 0, 0
	endm
	macro NOTE1
		dw DURATION, 14, 5
	endm
	macro NOTE2
		dw DURATION, 4, 10
	endm

	; our musical loop is very short and based on harsh-sounding sounds
	; this is due to the very low duty cycle, resulting from game logic and
	; rendering taking the vast majority of the CPU time each frame
	musicStart 
		; [frames], [time slice], [pitch]
		NOTE2
		SILENCE
		NOTE1
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		
		NOTE2
		SILENCE
		NOTE2
		SILENCE_SHORT
		NOTE1
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE
		SILENCE_SHORT
		SILENCE_SHORT
		SILENCE_SHORT
	musicEnd
	musicEntriesCount dw ( musicEnd - musicStart ) / 6	; 6 bytes per entry

